/* deliver.h
**
** Interface file for `deliver.c'
** (send a mail to all recipients in a list file)
**
*/
#ifndef _DELIVER_H
#define _DELIVER_H

int delivery_errs(void);

/* notify the size of the incoming message */
void set_msgsize (size_t sz);

/* send a rejected message to one of the default admins or to `::MAILSYS::' */
void deliver_error (char *rorig, char *sender, char *em_addr,
		    FILE *tfp, char *message, int err);

/* deliver a message locally */
void deliver_local (char *rorig, char *sender, char *em_addr, FILE *tfp, int err);

#endif /* defined(_DELIVER_H) */
